%define upstream_name    Archive-BagIt
%define upstream_version 0.052

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    An interface to make and verify bags
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Archive/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Printer)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.880.0
BuildRequires: perl(File::Find)
BuildRequires: perl(IO::AIO)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::App::Cmd)
BuildRequires: perl(Sub::Quote)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
rm -f t/*pod*t
%make test

%install
%makeinstall_std

%files
%doc Changes MYMETA.yml README.mkdn
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.52.0-3.mga6
+ Revision: 1022561
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.52.0-2.mga6
+ Revision: 966975
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.52.0-1.mga6
+ Revision: 847137
- update to 0.052

* Sun Oct 19 2014 umeabot <umeabot> 0.45.0-4.mga5
+ Revision: 788895
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.45.0-3.mga5
+ Revision: 746420
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.45.0-2.mga5
+ Revision: 683534
- Mageia 5 Mass Rebuild

* Sat May 17 2014 sander85 <sander85> 0.45.0-1.mga5
+ Revision: 623416
- update to 0.045

* Thu Feb 13 2014 jquelin <jquelin> 0.36.0-1.mga5
+ Revision: 590564
- update to 0.036

* Mon Oct 21 2013 umeabot <umeabot> 0.33.0-2.mga4
+ Revision: 536979
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.33.0-1.mga4
+ Revision: 486053
- update to 0.033

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 363093
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 jquelin <jquelin> 0.20.0-1.mga3
+ Revision: 304335
- imported package perl-Archive-BagIt


* Wed Oct 10 2012 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
